Image to Video - First/Last Frame Mode - Query Task
curl --request GET \
--url https://leapx-hub.com/prod-api/nebula/v4/api/textOrImage2videoQuery/{taskId} \
--header 'Authorization: <authorization>'import requests
url = "https://leapx-hub.com/prod-api/nebula/v4/api/textOrImage2videoQuery/{taskId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://leapx-hub.com/prod-api/nebula/v4/api/textOrImage2videoQuery/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"msg": "Operation successful",
"data": {
"id": "task-1234567890",
"status": "succeeded",
"url": "https://example.com/video.mp4"
}
}
AI Video
Image to Video - First/Last Frame Mode - Query Task
GET
/
prod-api
/
nebula
/
v4
/
api
/
textOrImage2videoQuery
/
{taskId}
Image to Video - First/Last Frame Mode - Query Task
Introduction
Query first/last frame mode task status and result.Authentication
string
required
Bearer Token, e.g.,
Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9...
How to get: Obtain via the POST interface in the Authentication module at the top left, https://docs.leapx-hub.com/en/leapx-lab-v4/endpoint/get-tokenRequest Parameters
string
required
Task ID, returned by submit task interface
Response Example
{
"code": 200,
"msg": "Operation successful",
"data": {
"id": "task-1234567890",
"status": "succeeded",
"url": "https://example.com/video.mp4"
}
}
⌘I
